=== debian/changelog ===
netpipes (4.2-8) unstable; urgency=medium

  * Updating to Standards 3.9.6, compatibility 9.
  * FTBFS with gcc-5. (Closes: #778024)
    + debian/patches/30-support_ipv6.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 27 Jun 2015 16:56:16 +0200

netpipes (4.2-7) unstable; urgency=low

  * Updating to Standards 3.9.4, compatibility 8.
  * Hardening of source.
    + debian/control: Build-Depends on debhelper (>= 8).
    + debian/rules: Use dpkg-buildflags.
    + debian/patches/40-hardening.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 27 Jun 2013 20:27:34 +0200

netpipes (4.2-6) unstable; urgency=low

  * Rename `timelimit`, favouring an external package.
    + debian/patches/32-newline_timelimit.diff: New file.
    + debian/patches/33-rename_timelimit.diff: New file.
    + debian/NEWS: Mention this change.
  * debian/control: Fields for binary package.
    + Recommends `timelimit`.
    + Suggests `psmisc`.
    + Remove an outdated Conflicts field.
  * Progress to Standards 3.9.1.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 12 Apr 2011 11:45:02 +0200

netpipes (4.2-5) unstable; urgency=low

  * New maintainer. (Closes: #482399)
  * Migration to format "3.0 (quilt)".
  * Updating to Standards 3.8.4, compatibility 7:
    + Insert ${misc:Depends}.
  * debian/control:
    + Reformulation of description. (Closes: #503341)
    + Build depend on debhelper (>= 7.0.50~).
  * Previous patches to upstream source recovered and put to use:
    + 01-cleanup_manpage.diff
    + 02-tailored_makefile.diff
    + 11-missing_include-1.diff
    + 12-manpages_formatting.diff
  * Silence compiler warnings caused by missing prototypes.
    + debian/patches/20-socklen_typing.diff: New file.
  * Use debhelper 'dh':
    + debian/rules: Minimal target collection.
    + debian/patches/24-makefile_for_dh.diff: New file
  * Implement IPv6 support:
    + Closes: #203290
    + debian/patches/30-support_ipv6.diff: New file.
  * debian/README.Debian: Updated.
  * debian/NEWS: New file.
  * debian/watch: New file.
  * [lintian] debian/patches/22-manpage_width_error.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 23 Apr 2010 16:29:31 +0200

netpipes (4.2-4) unstable; urgency=low

  * QA Upload
    + change maintainer address to QA group
  * Improve copyright file
    + Add real copyright notice
    + Update upstream URL
  * Fix author of first Debian changelog entry
  * Debhelper update:
    + Bump compat level to 7
    + Increase dependency to >= 7
  * Remove unused cruft from rules
  * Add missing string.h include in timelimit.h
    (for strlen)
  * Support noopt build option
  * Fix various formatting errors in man pages

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 22 May 2008 15:44:18 +0200

netpipes (4.2-3) unstable; urgency=low

  * Added twisted/stable to conflicts. 
  * Renamed getpeername to getsockname. Closes: #202513

 -- Fabian Franz <debian@fabian-franz.de>  Mon, 28 Jul 2003 23:37:38 +0200

netpipes (4.2-2) unstable; urgency=low

  * Some fixes to make it linda and lintian compatible.
  * Initial upload. Closes: #201612

 -- Fabian Franz <debian@fabian-franz.de>  Thu, 17 Jul 2003 18:22:33 +0200

netpipes (4.2-1) unstable; urgency=low

  * Initial Release.

 -- Klaus Knopper <knoppix@knopper.net>  Wed,  3 Apr 2002 01:40:54 +0200
