=== debian/control ===
Source: netpipes
Section: net
Priority: optional
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://web.purplefrog.com/~thoth/netpipes/

Package: netpipes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: timelimit
Suggests: psmisc
Description: manipulate BSD TCP/IP stream sockets
 The netpipes package makes TCP/IP streams usable in shell
 scripts. It can also simplify client/server code by allowing
 the programmer to skip all the tedious programming bits related
 to sockets and concentrate on writing a filter, or other service.
