=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

export CPPFLAGS CFLAGS LDFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CDEBUGFLAGS += -g -O0 -Wall
else
	CDEBUGFLAGS += -g -O2 -Wall
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CDEBUGFLAGS="$(CDEBUGFLAGS)"

override_dh_installchangelogs:
	dh_installchangelogs README
