=== debian/watch ===
version=3

http://web.purplefrog.com/~thoth/netpipes/ftp/netpipes-([0-9.]+)-export\.tar\.gz	debian	uupdate
